Bug 740283 - (ghc-attoparsec-enum) Review Request: ghc-attoparsec-enumerator - Haskell attoparsec to enumerator library
Review Request: ghc-attoparsec-enumerator - Haskell attoparsec to enumerator ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 648093 (view as bug list)
Depends On: 630260 630288
Blocks: ghc-http-enumerator cab ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-09-21 10:23 EDT by Jens Petersen
Modified: 2011-10-09 15:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-attoparsec-enumerator-0.2.0.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-09 02:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-21 10:23:18 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-attoparsec-enumerator/ghc-attoparsec-enumerator.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-attoparsec-enumerator/ghc-attoparsec-enumerator-0.2.0.4-1.fc15.src.rpm
Description: 
This library converts an attoparsec parser into an iteratee.

It is needed by snap-core and cab: it has 64 reverse deps
(http://packdeps.haskellers.com/reverse/attoparsec).
Comment 1 Jens Petersen 2011-09-21 10:26:02 EDT
*** Bug 648093 has been marked as a duplicate of this bug. ***
Comment 2 Jens Petersen 2011-09-21 10:28:02 EDT
Koji rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3367685
Comment 3 Narasimhan 2011-09-27 14:47:00 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

ghc-attoparsec-enumerator.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator.i686: W: spelling-error Summary(en_US) iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator.i686: W: spelling-error %description -l en_US iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator.src: W: spelling-error Summary(en_US) iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator.src: W: spelling-error %description -l en_US iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator-devel.i686: W: spelling-error Summary(en_US) iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

ghc-attoparsec-enumerator-devel.i686: E: summary-too-long C Development files for Haskell library to convert an attoparsec parser to an iteree
The "Summary:" must not exceed 80 characters.

ghc-attoparsec-enumerator-devel.i686: W: spelling-error %description -l en_US iteree -> iterate, iterator, iterative
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 1 errors, 8 warnings.


[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
MIT license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
license.txt file contains the actual license
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-attoparsec-enumerator-0.2.0.4-1.fc15.src/attoparsec-enumerator-0.2.0.4.tar.gz 
59153f3fa18a87bb4fbe7bcc359d8ac6  ghc-attoparsec-enumerator-0.2.0.4-1.fc15.src/attoparsec-enumerator-0.2.0.4.tar.gz

md5sum attoparsec-enumerator-0.2.0.4.tar.gz 
59153f3fa18a87bb4fbe7bcc359d8ac6  attoparsec-enumerator-0.2.0.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[NA]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-attoparsec-enumerator
error: Failed dependencies:
        ghc-attoparsec-enumerator = 0.2.0.4-1.fc14 is needed by (installed) ghc-attoparsec-enumerator-devel-0.2.0.4-1.fc14.i686


[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Installs fine. Imported Data.Attoparsec.Enumerator into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.

There is a summary-too-long error. Can that be fixed?
Comment 4 Jens Petersen 2011-09-27 20:30:42 EDT
Thanks, Lakshmi, for the review.

> There is a summary-too-long error. Can that be fixed?

Yes, good point - let me fix that when importing.
Comment 5 Jens Petersen 2011-09-28 01:54:15 EDT
New Package SCM Request
=======================
Package Name: ghc-attoparsec-enumerator
Short Description: Haskell attoparsec to iteree library
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 6 Jon Ciesla 2011-09-28 07:59:52 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-09-29 05:35:00 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-attoparsec-enumerator-0.2.0.4-2.fc15
Comment 8 Fedora Update System 2011-09-29 05:35:10 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-attoparsec-enumerator-0.2.0.4-2.fc16
Comment 9 Fedora Update System 2011-09-29 05:35:20 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-attoparsec-enumerator-0.2.0.4-2.fc14
Comment 10 Fedora Update System 2011-09-29 13:12:32 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2011-10-09 02:53:17 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-10-09 02:54:04 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-10-09 15:42:30 EDT
ghc-attoparsec-enumerator-0.2.0.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.